function getRequestObject() {
	if (window.ActiveXObject) {
		return (new ActiveXObject("Microsoft.XMLHTTP"));
	} else if (window.XMLHttpRequest) {
		return (new XMLHttpRequest());
	} else {
		return (null);
	}
}

function ajaxRemoveRow(rowId,address,tableName){
	var request = getRequestObject();
	 request.onreadystatechange =function(){
		 removeRow(request,rowId,tableName)	
	}
	request.open("GET",address,true);
	request.send();	
}

function removeRow(request,rowId,tableName){
	if ((request.readyState == 4) &&
			(request.status == 200)) {
		 document.getElementById(tableName).deleteRow(document.getElementById(rowId).rowIndex);
	}
}
function ajaxResult(address, resultRegion) {
	var request = getRequestObject();
	request.onreadystatechange = function() { 
		showResponseText(request, resultRegion); 
		};
	request.open("GET", address, true);
	request.send(null);
}
function showResponseText(request, resultRegion) {
	if ((request.readyState == 4) &&
	(request.status == 200)) {
		htmlInsert(resultRegion, request.responseText);
	}
}
function htmlInsert(id, htmlData) {
	document.getElementById(id).innerHTML = htmlData;
}